
Infrastructure - Task #8176

Story # 8175 (Closed): Solr crashing with out of memory error

Adjust memory allocated to Solr

2017-09-05 16:35 - Dave Vieglais

Status: Closed Start date: 2017-09-05

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

Solr is currently configured with 2048M. Review and adjust this value to reduce likelihood of out of memory errors.

History

#1 - 2017-09-05 16:59 - Dave Vieglais

As something of an emergency procedure, memory allocated to production Solr was increased from 2048M to 4096M by adjusting /var/solr/solr.in.sh:

...

SOLR_HEAP="4096m"

...

The free command showed several GB of memory free (besides that being used by disk cache) on each of the CNs before the change.

Note that the Debian package for Solr deployment on the CNs must be updated to persist this change.

After making the change, the Solr service appears to be handling load much better than previously without approaching 100% memory use.

#2 - 2017-12-26 18:21 - Dave Vieglais

- % Done changed from 30 to 100

- Status changed from In Progress to Closed
